Subject: Re: Q: force netif ON even when there is no real link ?

From: Andrew Lunn <[email-masked]>
Date: Fri, 20 Apr 2018 14:05:16 +0200

On Fri, Apr 20, 2018 at 03:01:09PM +0300, Ran Shalit wrote:
> On Fri, Apr 20, 2018 at 2:55 PM, Andrew Lunn <[email-masked]> wrote:
> > On Fri, Apr 20, 2018 at 11:44:14AM +0300, Ran Shalit wrote:
> >> Hello,
> >>
> >> We configure external switch in u-boot.
> >> The configuration is through mdio (cpu is mac and switch is phy).
> >>
> >> But in Linux we rather not implement any communication in mdio to
> >> switch, but it means that we then don't have the information of link
> >> state.
> >>
> >> Is it possible to force in Linux (by default in startup) Ethernet
> >> connectivity (netif_carrier_on, netif_wake_queue) even if there is no
> >> information of real link state ?
> >
> > Hi Ran
> >
> > Use a fixed-phy.
> >
> 
> Hi Andrew,
> 
> I'll check about fixed phy,
> but in general, is it a problem to have always netif_carrier_on, even
> when there is no link ?

The link between the CPU and the switch should be up all the
time. That is the point of fixed-link.

    Andrew